Skip to main content

Authentication

All API requests require an API key in the header:
headers = {
    "x-api-key": "your-api-key-here",
    "Content-Type": "application/json"
}

Base URL

https://agent.rippletide.com/api/sdk

Agent Management

Create Agent

POST /agent Request Body:
{
    "name": "agent-name",
    "prompt": "Agent system prompt"
}
Response:
{
    "id": "agent-uuid",
    "name": "agent-name",
    "prompt": "Agent system prompt"
}

Get Agent

GET /agent/

Update Agent

PUT /agent/

Knowledge Management

Create Q&A Pair

POST /q-and-a Request Body:
{
    "question": "User question",
    "answer": "Agent answer",
    "agent_id": "agent-uuid"
}

Get Q&A Pairs

GET /q-and-a

Update Q&A Pair

PUT /q-and-a/

Delete Q&A Pair

DELETE /q-and-a/

Tag Management

Create Tag

POST /tag Request Body:
{
    "name": "tag-name",
    "description": "Tag description"
}
POST /q-and-a-tag Request Body:
{
    "q_and_a_id": "q-and-a-uuid",
    "tag_id": "tag-uuid"
}

Action Management

Create Action

POST /action Request Body:
{
    "name": "action-name",
    "description": "Action description",
    "what_to_do": "Detailed action instructions",
    "agent_id": "agent-uuid"
}

State Predicate Management

Set State Predicate

PUT /state-predicate/ Request Body:
{
    "state_predicate": {
        "transition_kind": "branch",
        "question_to_evaluate": "Current state question",
        "possible_values": ["option1", "option2"],
        "value_to_node": {
            "option1": {
                "transition_kind": "end",
                "question_to_evaluate": "End state message"
            }
        }
    }
}

Guardrails Management

Create Guardrail

POST /guardrail Request Body:
{
    "type": "action",
    "instruction": "Guardrail instruction",
    "agent_id": "agent-uuid"
}

Chat Interface

Send Message

POST /chat/ Request Body:
{
    "user_message": "User message",
    "conversation_uuid": "conversation-uuid"
}
Response:
{
    "answer": "Agent response",
    "conversation_uuid": "conversation-uuid"
}

API Endpoints Summary

MethodEndpointPurpose
POST/agentCreate agent
GET/agent/{id}Get agent details
PUT/agent/{id}Update agent
POST/q-and-aAdd knowledge
GET/q-and-aGet knowledge
PUT/q-and-a/{id}Update knowledge
DELETE/q-and-a/{id}Delete knowledge
POST/tagCreate tag
POST/q-and-a-tagLink knowledge to tag
POST/actionCreate agent action
PUT/state-predicate/{id}Set conversation flow
POST/guardrailAdd safety guardrail
POST/chat/{id}Send message to agent